/*
 * The Gemma project
 * 
 * Copyright (c) 2007 University of British Columbia
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *       http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */
package ubic.GEOMMTx;

import java.util.Collection;
import java.util.Set;

public interface CUIMapper {
    /**
     * Given a CUI, and UMLS codes and sources attatched to it, return its URIs
     * 
     * @param CUI UMLS concept identifier
     * @param sourceCodes UMLS code+source pairings 
     * @return a URI
     */
    public Set<String> convert( String CUI, Collection<UMLSSourceCode> sourceCodes );
}
